// $Id: EmitsDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $

#include "orbsvcs/IFRService/EmitsDef_i.h"
#include "orbsvcs/IFRService/Repository_i.h"

ACE_RCSID (IFRService,
           EmitsDef_i,
           "$Id: EmitsDef_i.cpp 76555 2007-01-24 15:39:09Z johnnyw $")


TAO_BEGIN_VERSIONED_NAMESPACE_DECL

TAO_EmitsDef_i::TAO_EmitsDef_i (TAO_Repository_i *repo)
  : TAO_IRObject_i (repo),
    TAO_Contained_i (repo),
    TAO_EventPortDef_i (repo)
{
}

TAO_EmitsDef_i::~TAO_EmitsDef_i (void)
{
}

CORBA::DefinitionKind
TAO_EmitsDef_i::def_kind (void)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  return CORBA::dk_Emits;
}


TAO_END_VERSIONED_NAMESPACE_DECL
