/**
 * @file Server_i.h
 *
 * $Id: Server_i.h 76591 2007-01-25 18:17:52Z elliott_c $
 *
 * @author Carlos O'Ryan <coryan@atdesk.com>
 *
 */
#ifndef BUG_1020_REGRESSION_SERVER_I_H
#define BUG_1020_REGRESSION_SERVER_I_H

#include "TestS.h"

class Server : public POA_Test::Server
{
public:
  Server(CORBA::ORB_ptr orb);

  virtual void start_task(Test::Echo_ptr client)
    ACE_THROW_SPEC((CORBA::SystemException));

private:
  CORBA::ORB_var orb_;
};

#endif /* BUG_1020_REGRESSION_SERVER_I_H*/
